Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		sweep
Version:	0.9.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.metadecks.org/software/sweep/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9.1-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Sweep is an audio editor and live playback tool.
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  pango-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:  speex-devel
BuildRequires:	tdb-devel
BuildRequires:  libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmad-devel
BuildRequires:	gtk2+-devel

%description
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and compatible systems.
It supports many music and voice formats including WAV, AIFF, Ogg Vorbis, Speex and MP3,
with multichannel editing and LADSPA effects plugins.
For more details see: http://www.metadecks.org/software/sweep/

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -desktop

%build
export CFLAGS=""
export CXXFLAGS="$CFLAGS"
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking \
--disable-nls
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/sweep/*.so
%_mandir
%_applications
#%_locale
%_pixmaps
%_datadir/sweep

%files devel
%defattr(-,root,root)
%_includedir
#%_libdir/sweep/*.a
#%_libdir/sweep/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Version update
* Sun May 21 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.1-1
- Update to Version 0.9.1
* Thu Jul 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.3-3
- added speex-1.1.x.patch (thx to Gotti)
* Thu Jul 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.3-2
- rebuild for source rpm, added desktop.patch and dependencies
